import request from '@/utils/request'

export function getList(data) {
  return request({
    url: 'api/clickFarming/list',
    method: 'post',
    data
  })
}

export function getClickFarmList(data) {
  return request({
    url: 'api/clickFarming/list',
    method: 'post',
    data
  })
}

export function add(data) {
  return request({
    url: 'api/clickFarming/add',
    method: 'post',
    data
  })
}

export function editById(data) {
  return request({
    url: 'api/clickFarming/edit',
    method: 'post',
    data
  })
}

export function getEditDetailById(data) {
  return request({
    url: 'api/clickFarming/getEditDetailById',
    method: 'post',
    data
  })
}

export function delById(data) {
  return request({
    url: 'api/clickFarming/delete',
    method: 'post',
    data
  })
}


export function getById(data) {
  return request({
    url: 'api/clickFarming/getById',
    method: 'post',
    data
  })
}

